/*
# yoshinori : $Revision$  
# $Date$ 
# Created by $Author$
# Usage : yoshinori
# Attention
#   $Loccker$
#  	$State$ 
#
*/
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <math.h>                  
#define GLOBAL_DECLARATION
#include "../inc/config.h"

#define DEBUG
#include "genUtil.h"

/*
Example:
typedef struct lyoshinoriInfo {
	float a;
	int   b;
} lyoshinoriInfo;

typedef enum lyoshinoriMode {
	a=0,
	b=1
} lyoshinoriMode;
*/

int
main(int argc, char* argv[]) 
{
	yoshinoriInfo info;

	init0(&info);
    argCheck(&info, argc, argv);
    init1(&info);
	fprintf(info.fptOut,"%d",info.number);
	DEBUGPRINT("Program Start\n");

	exit(EXIT_SUCCESS);
}

void
additionalUsage()
{
	fprintf(stderr, "----- Additional Usage -----\n");
}
